import SalesCenterController from './SalesCenterController'
import ProjectController from './ProjectController'
import InventoryController from './InventoryController'
import ReservationController from './ReservationController'
import QuoteController from './QuoteController'
import CrmController from './CrmController'
import MasterplanDigitizerController from './MasterplanDigitizerController'
import SystemUpdateController from './SystemUpdateController'
import AiIntegrationController from './AiIntegrationController'

const Admin = {
    SalesCenterController: Object.assign(SalesCenterController, SalesCenterController),
    ProjectController: Object.assign(ProjectController, ProjectController),
    InventoryController: Object.assign(InventoryController, InventoryController),
    ReservationController: Object.assign(ReservationController, ReservationController),
    QuoteController: Object.assign(QuoteController, QuoteController),
    CrmController: Object.assign(CrmController, CrmController),
    MasterplanDigitizerController: Object.assign(MasterplanDigitizerController, MasterplanDigitizerController),
    SystemUpdateController: Object.assign(SystemUpdateController, SystemUpdateController),
    AiIntegrationController: Object.assign(AiIntegrationController, AiIntegrationController),
}

export default Admin